#background {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
}

#auth-background {
    position: fixed;
    width: 100%;
}

.auth-main {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 5% 10% 5% 10%;
}

.auth-section {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

.auth-text {
    text-shadow: -1px  1px 0 #000,
                  1px  1px 0 #000,
                  1px -1px 0 #000,
                 -1px -1px 0 #000;
}

.red {
    color: orangered;
    
}

.flash {
    animation: flash 1s;
}

@keyframes flash {
    50% {
      opacity: 0;
    }
}

.green {
    color: limegreen;
}

.w-33 {
    width: 33%
}

.story {
    position: absolute;
    width: 100%;
    color: white;
    text-shadow: -1px  1px 0 #000,
                  1px  1px 0 #000,
                  1px -1px 0 #000,
                 -1px -1px 0 #000;
    padding: 5% 10% 5% 10%;
    background-color: rgba(0, 0, 0, 0.5);
}

.story-text {
    white-space: pre-wrap;
}

#footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    opacity: 10%;
}

#footer:hover {
    opacity: 90%;
}

.highlight {
    animation: rainbow 1s infinite;
}

@keyframes rainbow {
    0% {background: #ff0000;}
    10% {background: #ff8000;}
    20% {background: #ffff00;}
    30% {background: #80ff00;}
    40% {background: #00ff00;}
    50% {background: #00ff80;}
    60% {background: #00ffff;}
    70% {background: #0080ff;}
    80% {background: #0000ff;}
    90% {background: #8000ff;}
    100% {background: #ff0080;}
}

::-webkit-scrollbar {
    width: 0px;
}